
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【区块链之菜鸟入门】区块链发展史：从拜占庭将军问题到智慧契约 / iVAN</title>

    <meta name="description" content="【区块链之菜鸟入门】区块链发展史：从拜占庭将军问题到智慧契约 在&quot;[区块链之菜鸟入门]亲,你淘的区块链到了!&quot;这篇文章中,我们了解到了区块链技术的出现其实是为了去除银行类等中心机构的信用背书.从原本信任足够信用度的单独个体(中心)到信任一堆个体,这一过程就极大地降低了信任成本,而区块链技术的核心也就是去中心化,去信用中介.我们也聊到了区块链是比特币的底层技术,但是区块链就仅仅是比特币的底层技术么?区块链经过了怎样的变革才走到今天的呢?本文就为大家揭晓. 本文是[区块链之菜鸟入门]部分的第二篇,什么?拜占庭将军问题.杂凑现金......听 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【区块链之菜鸟入门】区块链发展史：从拜占庭将军问题到智慧契约</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在“<b>【区块链之菜鸟入门】亲，你淘的区块链到了！</b>”这篇文章中，我们了解到了区块链技术的出现其实是为了去除银行类等中心机构的信用背书。从原本信任足够信用度的<b>单独个体（中心）</b>到信任<b>一堆个体，</b>这一过程就极大地降低了信任成本，而区块链技术的核心也就是<b>去中心化，去信用中介。</b>我们也聊到了区块链是比特币的底层技术，但是区块链就仅仅是比特币的底层技术么？区块链经过了怎样的变革才走到今天的呢？本文就为大家揭晓。</p>
<p>本文是【区块链之菜鸟入门】部分的第二篇，什么？拜占庭将军问题、杂凑现金......听上去蛮有意思，等着，我去搬个小板凳，听一听区块链的发展史中的那些事。</p>
<hr>
<br />本文技术要点：<b><br /></b></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzhmMDNjMGJlY2IwNTQ4ZmRlZDZlODE5MmQwNzQ5ODJkMDgxYWZlMjYucG5n.jpg"></p>
<hr>
<br /><b>区块链</b>源自<b>比特币</b>，不过在这之前，已有多项跨领域技术，皆是构成区块链的关键技术；而现在的区块链技术与应用，也已经远超过比特币区块链。要追溯<b>区块链（Blockchain）</b>是怎么来的，不外乎先想到<b>比特币（Bitcoin）</b>，比特币是第一个采用区块链技术打造出的P2P电子货币系统应用，不过比特币区块链并非一项全新的技术，而是将跨领域过去数十年所累积的技术基础结合。</p>
<p>比特币区块链所实现的基于<b>零信任基础、且真正去中心化的分散式系统</b>，其实解决一个30多年前由Leslie Lamport等人所提出的<b>拜占庭将军</b>问题。</p>
<p>1982年Leslie Lamport把军中各地军队彼此取得共识、决定是否出兵的过程，延伸至运算领域，设法建立具容错性的分散式系统，即使部分节点失效仍可确保系统正常运行，可让多个基于零信任基础的节点达成共识，并确保资讯传递的一致性，而2008年出现的比特币区块链便解决了此问题。而比特币区块链中最关键的工作量证明机制，则是采用由Adam Back在1997年所发明<b>Hashcash（杂凑现金）</b>，为一种<b>工作量证明演算法（Proof of Work，POW）</b>，此演算法仰赖成本函数的不可逆特性，达到容易被验证，但很难被破解的特性，最早被应用于阻挡垃圾邮件。</p>
<p>在隐私安全方面的技术，可回溯到1982年David Chaum提出注重隐私的密码学网路支付系统，具有不可追踪的特性，成为比特币区块链在隐私安全面上的雏形，之后David Chaum也基于这个理论打造出不可追踪的密码学网路支付系统eCash，不过eCash并非去中心化系统。</p>
<p>在区块链中每笔交易，采用<b>椭圆曲线数位签章演算法（Elliptic Curve Digital Signature Algorithm，ECDSA）</b>，可追溯回1985年Neal Koblitz和Victor Miller分别提出椭圆曲线密码学（Elliptic curve cryptography，ECC），首次将椭圆曲线用于密码学，建立公开金钥加密的演算法。相较于RSA演算法，采用ECC好处在于可以较短的金钥，达到相同的安全强度。到了1992年，由Scott Vanstone等人提出ECDSA。</p>
<p><b>区块链最早源于比特币，但区块链的应用却不仅于此。</b></p>
<p>过去几年也陆续出现许多基于区块链技术的<b>电子货币（统称为Altcoins)</b>，不过随着比特币持续备受争议，各国政府与金融机构纷纷表态，直到近1、2年，大家才终于意识到区块链的真实价值，远超过于电子货币系统。</p>
<p><b>区块链可结合认许制，以满足金融监管需求</b></p>
<p>若要将比特币与区块链技术分开来看，最大的不同之处在于，由于比特币为虚拟货币应用，因此面临各国法规的限制，但区块链现在已经可结合认许制或其他方式来管控节点，决定让哪些节点参与交易验证及存取所有的资料，并提供<b>治理架构（Governance Structure）</b>及<b>商业逻辑（Business Logic）</b>两大关键特性。目前区块链可分为非实名制和实名制两种，前者如比特币区块链，后者如台大地的GCoin区块链。现在的区块链已经可结合<b>认许制 (Permissioned)</b>，来配合金融监管所需的<b>反洗钱 (AML) 与身份验证 (KYC)</b> 规范。而银行和金融机构想采用的都是实名制的区块链。</p>
<p><b>区块链演进阶段</b></p>
<p>区块链技术随着比特币出现后，经历了几个不同的阶段，常见的分法将比特币视为Blockchain 1.0，为<b>数位货币（Currency）</b>应用，Blockchain 2.0开始出现如<b>智慧资产（Smart Assets）、智慧契约（Smart Contracts）</b>等货币以外的应用，Blockchain3.0则是指更复杂的智慧契约，将区块链用于政府、医疗、科学、文化与艺术等领域。</p>
<p>区块链新创DTCO执行长李亚鑫基于现有的分法进行补充，他认为，Blockchain 2.0以彩色币（Colored Coin）为代表，在区块链上运行Open Assets Protocal，可传递货币以外的数位资产，如股票、债券等。而从Blockchain 2.0之后，可再分出一类属于Blockchain 2.5的应用，包括<b>代币（货币桥）应用、分散式帐本（Distributed Ledgers）、资料层区块链（Data Layers Blockchain）、结合人工智慧（Artificial Intelligent）</b>，以及无交易所的国际汇款网路，以Ripple为代表，资料层、分散式储存则以Factom、MaidSafe为代表，Blockchain3.0则以Ethereum为代表。他表示，Blockchain2.5跟Blockchain3.0最大的不同在于，3.0较强调是更复杂的智慧契约，以2.5则强调代币（货币桥）应用，如可用于金融领域联盟制区块链，如运行1:1的美元、日圆、欧元等法币数位化。由于区块链协议几乎都是开源的，因此要取得区块链协议的原始码不是问题，重点是要找到好的区块链服务供应商，协助导入现有的系统。而银行或金融机构得对区块链有一定的了解，才能知道该如何选择，并应用于适合的业务情境。去年<b>金融科技（Fintech</b>）才刚吹进亚洲，没想到才过几个月，一股更强劲的区块链技术也开始引爆，全球金融产业可说是展现了前所未有的决心，也让区块链迅速成为各界切入金融科技的关键领域。</p>
<p>尽管现在就像是区块链的战国时代，不过银行或金融机构要从理解并接受区块链，到找出一套大家都认可的区块链，且真正应用于交易上，恐怕还需要一段时间。这次只比国外晚了半年，引爆点可从台大释出一套自行开发的开源区块链协议GCoin，并宣布将成立金融科技暨区块链中心说起，短短一周的时间，便引发各界高度关注，接着研讨会不断，不过，由于区块链具有较高的技术门槛，大家都知道它拥有许多特性跟好处，但却迟迟处于观望阶段，就连区块链的新创业者，也非常稀少。银行业目前也还卡在门口，除了少数金控开始分享这个议题之外，多数金融业者仍处于试图理解技术面的阶段。</p>
<p><b>技术演进：区块链是怎么来的</b></p>
<p><b>1982年</b></p>
<ul>
<li><b>拜占庭将军问题</b></li>
</ul>
<blockquote><p>Leslie Lamport等人提出拜占庭将军问题（Byzantine Generals Problem），把军中各地军队彼此取得共识、决定是否出兵的过程，延伸至运算领域，设法建立具容错性的分散式系统，即使部分节点失效仍可确保系统正常运行，可让多个基于零信任基础的节点达成共识，并确保资讯传递的一致性，而2008年出现的比特币区块链便解决了此问题。</p></blockquote>
<ul>
<li><b>David Chaum提出密码学网路支付系统</b></li>
</ul>
<blockquote><p>David Chaum提出注重隐私安全的密码学网路支付系统，具有不可追踪的特性，成为之后比特币区块链在隐私安全面的雏形。</p></blockquote>
<p><b>1985年<br /></b></p>
<ul>
<li><b>椭圆曲线密码学</b></li>
</ul>
<blockquote><p>Neal Koblitz和Victor Miller分别提出椭圆曲线密码学（Elliptic Curve Cryptography，ECC），首次将椭圆曲线用于密码学，建立公开金钥加密的演算法。相较于RSA演算法，采用ECC好处在于可用较短的金钥，达到相同的安全强度。</p></blockquote>
<p><b>1990年</b></p>
<blockquote><p>David Chaum基于先前理论打造出不可追踪的密码学网路支付系统，就是后来的eCash，不过eCash并非去中心化系统。</p>
<p>Leslie Lamport提出具高容错的一致性演算法Paxos。</p></blockquote>
<p><b>1991年<br /></b></p>
<ul>
<li><b>使用时间戳确保数位文件安全</b></li>
</ul>
<blockquote><p>Stuart Haber与W. Scott Stornetta提出用时间戳确保数位文件安全的协议，此概念之后被比特币区块链系统所采用。</p></blockquote>
<p><b>1992年</b></p>
<blockquote><p>Scott Vanstone等人提出椭圆曲线数位签章演算法（Elliptic Curve Digital Signature Algorithm，ECDSA）</p></blockquote>
<p><b>1997年<br /></b></p>
<ul>
<li><b>Adam Back发明Hashcash技术</b></li>
</ul>
<blockquote><p>Adam Back发明Hashcash（杂凑现金），为一种工作量证明演算法（Proof of Work，POW），此演算法仰赖成本函数的不可逆特性，达到容易被验证，但很难被破解的特性， 最早被应用于阻挡垃圾邮件。Hashcash之后成为比特币区块链所采用的关键技术之一。（Adam Back于2002年正式发表Hashcash论文）</p></blockquote>
<p><b>1998年<br /></b></p>
<ul>
<li><b>Wei Dai发表匿名的分散式电子现金系统B-money</b></li>
</ul>
<blockquote><p>Wei Dai发表匿名的分散式电子现金系统B-money，引入工作量证明机制，强调点对点交易和不可窜改特性。不过在B-money中，并未采用Adam Back提出的Hashcash演算法。Wei Dai的许多设计之后被比特币区块链所采用。</p></blockquote>
<ul>
<li><b>Nick Szabo发表Bit Gold</b></li>
</ul>
<blockquote><p>Nick Szabo发表去中心化的数位货币系统Bit Gold，参与者可贡献运算能力来解出加密谜题。</p></blockquote>
<p><b>2005年</b></p>
<ul>
<li><b>可重复使用的工作量证明机制（RPOW）</b></li>
</ul>
<blockquote><p>Hal Finney提出可重复使用的工作量证明机制（Reusable Proofs of Work，RPOW），结合B-money与Adam Back提出的Hashcash演算法来创造密码学货币。</p></blockquote>
<p><b>2008年<br /></b></p>
<ul>
<li><b>Blockchain 1.0：加密货币</b></li>
</ul>
<blockquote><p>数位货币与支付系统去中心化、比特币：Satoshi Nakamoto（中本聪）发表一篇关于比特币的论文，描述一个点对点电子现金系统，能在不具信任的基础之上，建立一套去中心化的电子交易体系。</p></blockquote>
<p><b>2012年<br /></b></p>
<ul>
<li><b>Blockchain2.0：智慧资产、智慧契约</b></li>
</ul>
<blockquote><p>市场去中心化，可作货币以外的数位资产转移，如股票、债券。如Colored Coin便是基于比特币区块链的开源协议，可在比特币在区块链上发行多项资产</p></blockquote>
<p><b>2014年<br /></b></p>
<ul>
<li><b>Blockchain 3.0：更复杂的智慧契约</b></li>
</ul>
<blockquote><p>更复杂的智慧合约，将区块链用于政府、医疗、科学、文化与艺术等领域。</p></blockquote>
<p><b>2016年</b></p>
<ul>
<li><b>Blockchain 2.5：金融领域应用、资料层<br /></b></li>
<li><b>Blockchain2.5：强调代币（货币桥）应用、分散式帐本、资料层区块链，及结合人工智慧等金融应用<br /></b></li>
<li><b>Blockchain 3.0：更复杂的智慧契约</b></li>
</ul>
<hr>
<br />下期预告</p>
<p>下期我们将分享【区块链之菜鸟入门】的第三篇，本期的文章出现了很多术语，好多小伙伴们可能和我一样，在互联网金融方面还是小白，不过不要担心，这些术语慢慢理解。而下期将会为大家分享一篇尽量避免术语的科普文章，敬请期待！</p>
<hr>
<br /><b>【区块链之菜鸟入门】系列文章</b>：</p>
<p>亲，你淘的区块链到了！</p>
<p>区块链发展史：从拜占庭将军问题到智慧契约</p>
<p>来来来，这篇科普告诉你“区块链”到底是个啥？</p>
<p>区块链——颠覆式创新技术<br />
<br /><b>其他部分首篇文章：</b></p>
<p>【区块链之技术进阶】区块链：通往互联网第二纪元的革命</p>
<p>【区块链之技术实战】群雄激辩区块链</p>
<p>【区块链与未来】区块链只与互联网+金融有关？让法律人和你聊聊</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-31 10:07:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8c%ba%e5%9d%97%e9%93%be%e6%8a%80%e6%9c%af/" title="区块链技术">区块链技术</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【区块链之菜鸟入门】区块链发展史：从拜占庭将军问题到智慧契约的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmKKwwb.html" rel="bookmark">【区块链之菜鸟入门】区块链&mdash;&mdash;颠覆式创新技术</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				区块链技术可以说在近期获得了大量的关注,小川行长公开表示央行要研究区块链技术:2015年区块链成为了美国创投中获得融资最高的板块:26 岁少年Vitalik创建的开源区块链平台以太坊,2015 年 7 月上线后市值飙升至 10亿美元,成为新晋独角兽.区块链在金融.共享经济.物联网等方面存在很高的应用价值,吸引了高盛.花旗.纳斯 达克.德勤.Airbnb 等巨头的积极布局. 这篇文章是区块链学习进阶的第一部分:[区块链之菜鸟入门]的第四篇文章,通过前几篇文章的分享,想必大家对于区块链技术的基础知识			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdRRa1b.html" rel="bookmark">【区块链之菜鸟入门】来来来，这篇科普告诉你&OpenCurlyDoubleQuote;区块链&rdquo;到底是个啥？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过前面的两篇文章相信大家已经对区块链技术有了一个大致的了解,对于区块链的技术发展史也有所涉猎.但是貌似还不是很明白,毕竟貌似区块链技术里还有很多的术语,对于这些术语,宝宝心里苦,但宝宝还要继续学习呀(哭笑脸).不过呢,今天为大家分享的这篇文章偏科普性质,不需要大家对技术和金融有任何背景,会尽量回避一切技术术语,希望这篇文章能解决大家心里的一些疑惑所帮助.就算是小白的我也能读懂这篇关于区块链的文章呢,那你还在等什么?有了这篇文章,再约妹子吃饭,聊一聊区块链,瞬间逼格提升好几倍有木有?你还在等什么			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ba7yr2p.html" rel="bookmark">【区块链之菜鸟入门】亲，你淘的区块链到了！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为一枚软件专业的学生党而言,时刻关注互联网新趋势我们的必修课.毕竟呀,互联网这个行业,没有什么是永恒不变的,今天我们在课堂上学的技术,或许在未来就死掉了,所以从刚刚踏入大学校门的第一节课老师就告诫我们:学不到老就活不到老.互联网技术的发展远比其他行业的发展迅速得多,虽然工程理论已经很健全了,但是新技术和新概念却层出不穷,当今时代因为互联网,思维可以无限地碰撞,而撞出的火花就会诞生一门新技术. 前一段时间在做智能问答系统的创新项目,老师说要我们多关注TensorFlow,沃森还有微软小冰这些问答			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRwo98p.html" rel="bookmark">【区块链之技术进阶】区块链：通往互联网第二纪元的革命</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				嘿!小伙伴们,你们还好么?通过了之前&quot;区块链之菜鸟入门&quot;四篇文章的分享,我相信大家对于区块链技术在认知层面有了一个大致的了解,可以说是揭开了区块链技术的神秘面纱,相比大家通过之前的学习,已经能和小伙伴们或者妹子们聊一聊区块链了,其实区块链技术最核心的就是解决信任成本的问题,去中心化去中介是区块链技术的核心概念,它和比特币有着紧密的联系,但是又不完全依赖于比特币...看到这里大家是不是都有印象呢?哈哈,congratulations!前面学习的不错啦,你已经进阶了,区块链少侠!在接下来,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamg4Xb.html" rel="bookmark">【区块链之技术进阶】让这篇技术贴告诉你区块链是怎么运行的</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相信大家阅读了上一篇的文章以后,对于区块链未来在互联网金融方面的具体应用场景有所了解,面对互联网金融技术创新的洪流,大家是不是已经心潮澎湃,准备在区块链技术创新上大展手脚了呢?少侠,莫慌,暂时压一压内心的洪荒之力吧,耐着性子,我们要学习的事情还有很多,特别是从技术层面,你知道区块链是怎么运行的不?你看,不知道吧.所以还是且看我接着为大家分享吧. 本文是[区块链之技术进阶]部分的第三篇文章,这篇文章将会从技术的角度,为大家分享区块链到底是怎么运行的.当然还有公有链.私有链.侧链这些都是啥,什么是公			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Pg2Vp.html" rel="bookmark">【区块链之技术实战】有了区块链做公益，再也不用担心我的捐款啦</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在[区块链之技术实战]之前的部分内容里,咱们首先分享了来自银行业,金融证券业以及互联网金融业的&quot;大佬&quot;对于区块链实践场景的观点,之后的两篇文章分别分享了关于区块链技术在银行业.金融证券业的应用场景,让大家对于区块链的广泛的应用实践场景有了一定了了解和认识,而且在上一篇文章中咱们也为写代码的攻城狮和程序媛妹子们分享了比较不错的开源的区块链技术的相关项目,想必是码农们最爱的技术干货资源.而今天的这篇文章是[区块链之技术实战]部分的最后一篇,在这篇文章里,咱们来分享一个目前看来在区块链技术上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrW9y6p.html" rel="bookmark">【区块链之技术进阶】掰一掰区块链共识机制与分布式一致性算法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				咱们在之前的很多篇文章里简单地提起了&quot;共识算法&quot;以及&quot;共识攻击&quot;,大家应该对于我们之前提到的&quot;共识攻击&quot;印象还比较深刻吧,对的,就是我们所说的这和公司占有股份一个道理,当你占有整个公司&quot;51%&quot;的股份时,那就是控股了,岂不是可以为所欲为了呢?在区块链技术这也一样,咱们都知道区块链记账以后是不可以篡改的,就算是合理交易写错地址了也不行!but!当你能说服整个区块链上51%的结点同意你的请求时就能够修改记账信息,当这一方法用到不好			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrX2L6z.html" rel="bookmark">【区块链之技术进阶】扒一扒某乎上面对于区块链的理解（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面的一篇文章里,咱们通过镁铝COO妹纸的(据说萌萌哒)从金融的角度(当然也带了有些技术角度)为大家分享了对于区块链的理解,人家妹纸写的文章自带卖萌属性,以故事开头,并且以故事结尾,加上那张关于&quot;看上去屌炸了の工作原理&quot;的大图(这张图上基本涵盖了区块链技术的所有技术要点,不知道大家有木有仔细看)介绍了创始块,区块,挖矿数学以及目标数,随机数等等这些概念,当然妹纸也以区块链行业从业者的角度告诉我们,区块链的研究目前还在瓶颈区,还有很多东西需要探索. 本文是[区块链之技术进阶]的第五篇文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydZEdb.html" rel="bookmark">【区块链之技术实战】在金融领域，区块链该咋用呢？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在上篇文章中,咱们聊到了区块链技术在银行业的应用,我们知道区块链技术在未来很可能颠覆银行业的基础架构,实现去中心化的价值安全性转移,改变金融体系核心准则.这样的改变可以称得上是一场银行业的&quot;革命&quot;,因为原来处于交易的&quot;中心&quot;和&quot;中介&quot;位置的银行业将发生改变,甚至改变几百年甚至几千年(那时候,在中国叫啥...忘了)来的银行的本质.当然我们并不知道银行业的未来将走向何方?区块链的发展也并不能完全脱离中心化(因为需要监管),其实一切都在发生着变化,无论			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDJj6M.html" rel="bookmark" class="title">asp&period;net 地址栏url传中文乱码 的解决方法</a>
					<div>
						1.设置web.config文件.   &lt;system.web&gt;    ......    &lt;globalization requestEncoding=&quot;gb2312&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKEVap.html" rel="bookmark" class="title">情感化设计的感悟&colon;实例解析视觉设计的表现</a>
					<div>
						文章描述:情感化设计中的手绘应用表现. 这篇分享是我最近读&lt;情感化设计&gt;的一点小感悟及关注的那些事儿.在这里与大家分享下.欢迎大家多多指教和交流. 如今是数字化时代的天下,我们逐渐习惯并享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqBQKp.html" rel="bookmark" class="title">tcp连接探测Keepalive和心跳包</a>
					<div>
						采用TCP连接的C/S模式软件,连接的双方在连接空闲状态时,如果任意一方意外崩溃.当机.网线断开或路由器故障,另一方无法得知TCP连接已经失效,除非继续在此连接上发送数据导致错误返回.很多时候,这不是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKqO8p.html" rel="bookmark" class="title">java成员初始化</a>
					<div>
						Java尽自己的全力保证所有变量都能在使用前得到正确的初始化.若被定义成相对于一个方法的&quot;局部&quot;变量,这一保证就通过编译期的出错提示表现出来.因此,如果使用下述代码: void f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRVVRz.html" rel="bookmark" class="title">Maven插件之properties-maven-plugin</a>
					<div>
						从插件的名称大体能猜出,该插件用来操作属性文件. 该插件的官网:http://mojo.codehaus.org/properties-maven-plugin/ 官网对该插件功能介绍的很清晰, 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7DgmM.html" rel="bookmark" class="title">PS制作沙滩字教程</a>
					<div>
						PS制作沙滩字教程的最终效果图 1.新建一个文件,在工具栏中设置前景色的RGB分别为217.205.163,背景色的RGB分别为113.84.19.2.按Alt+Delete键填充前景色,效果如图01 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjLLnp.html" rel="bookmark" class="title">Word和WPS通用的文档排版</a>
					<div>
						Word和WPS通用的文档排版技巧 无论用Word还是WPS排版文档时难免会使用文本对齐.段落设置的功能,本文总结了Word和WPS通用的文本排版技巧,希望对大家排版的工作有所帮助. 1.单元格数字小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLxRab.html" rel="bookmark" class="title">DIV&plus;CSS网页设计常用布局代码</a>
					<div>
						单行一列 body{margin:0px;padding:0px;text-align:center;} #content{margin-left:auto;margin-right:auto;wid ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlGjEb.html" rel="bookmark" class="title">Photoshop调出室内美女照片淡雅的黄绿色</a>
					<div>
						淡雅的颜色比较难控制,稍浓一点画面就比较平淡,淡一点就会有点过曝,需要自己慢慢细心的调整.调色之前最好先调整好整体的明暗关系,局部偏暗的部分需要先修复,然后再整体润色. 原图 &lt;点小图查看大图& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balxNmz.html" rel="bookmark" class="title">php通过Chianz&period;com获取IP地址与地区的方法</a>
					<div>
						 这篇文章主要介绍了php通过Chianz.com获取IP地址与地区的方法,是解析IP地址与地区非常实用的技巧,需要的朋友可以参考下     本文实例讲述了php通过Chianz.com获取IP地址与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNwjZb.html" rel="bookmark" class="title">Edge浏览器扩展将于2016夏推出 Insider成员率先使用</a>
					<div>
						  如果消息属实,Windows Insider会员可能在2015年底或2016年初收到带有Edge浏览器扩展程序的Win10预览版推送.不过这一切仅为猜测,因为微软尚未公布任何相关消息. Edge浏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwN5dp.html" rel="bookmark" class="title">Word文档的自动阅读功能怎么设置</a>
					<div>
						  1.打开要阅读的Word文档; 2.点击左上角的Office图标--Word选项;   3.切换到&quot;自定义&quot;选项;   4.在选择命令的下拉框点击选择&quot;不在功能区中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o7XWb.html" rel="bookmark" class="title">Internet属性选项打不开要怎么办？</a>
					<div>
						IE浏览器是用户上网必需具备的工具,通常情况下,用户都需通过Internet选项来对浏览器进行设置,但是当Windows7系统使用过程中,浏览器打不开Internet选项了怎么办呢?具体如下: 1.按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR88Bp.html" rel="bookmark" class="title">Spring Boot Dubbo applications&period;properties 配置清单</a>
					<div>
						摘要: 原创出处 www.bysocket.com 「泥瓦匠BYSocket 」欢迎转载,保留摘要,谢谢! 『 与其纠结,不如行动学习.Innovate ,And out execute ! 』 本文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZnYBb.html" rel="bookmark" class="title">ubuntu下ruby文件执行蛋疼的一个问题</a>
					<div>
						    ubuntu下面用sublime打开非常简单的一段代码(其实不算代码,因为没有实际语句): #!/usr/bin/ruby 在shell下加入x权限:chmod u+x doit.rb,然后运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWPN8z.html" rel="bookmark" class="title">华为手机的&OpenCurlyDoubleQuote;进水&rdquo;迷局：用户厂商说法不一</a>
					<div>
						用户坚称没进水 厂商称从防水标签和水痕判断IT时报记者 钱立富手机&quot;进水&quot;已经成为横亘在消费者和厂商心中难以解开的心结,双方屡屡在此问题产生矛盾.近日多位消费者来电向本报反映,自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40ro9z.html" rel="bookmark" class="title">DT科技评论第32期：&OpenCurlyDoubleQuote;电子纹身&rdquo;可以控制智能设备</a>
					<div>
						DT科技评论 Data Technology Review 第 32 期           人民网研究院,阿里云研究中心 本期目录 云上零信任模型以及微切分在第三方支付行业数据安全标准(PCI-DS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYAX7p.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;8&period;33 未来发展趋势</a>
					<div>
						8.33 未来发展趋势 尽管并行与分布式进化算法已经受到了大量学者的关注,而且大量有代表性的算法也被提出并用于求解一些实际问题.然而随着科学技术的发展,大数据时代的到来,一些新的挑战充斥着人们的生活, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjN5xM.html" rel="bookmark" class="title">将物流行业送往智能时代，菜鸟网络的配送车已经上路了</a>
					<div>
						过去十年,电子商务行业的高速发展有目共睹,网购已经成了年轻人日常生活中不可或缺的一部分,甚至衍生出了&quot;6·18&quot;.&quot;双11&quot;这样的购物狂欢节,而且这股浪潮正逐渐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqOe4p.html" rel="bookmark" class="title">有限合伙制PE的结构设计：避税及其他</a>
					<div>
						刘田 近期,市场上流传的鼎晖投资股权结构图引发许多讨论,有限合伙PE如何通过巧妙的股权结构设置,在规避责任风险的同时,实现投资人利润最大化? GP和LP &quot;我国旧的合伙企业法中并不承认有限合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60PLgz.html" rel="bookmark" class="title">网上赚钱为什么没有人帮助你？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 为什么没有人帮助你?这个问题不仅在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdm7o1z.html" rel="bookmark" class="title">巨人《征途》活动送现金，疑似与农行合作被澄清</a>
					<div>
						[TechWeb报道]3月14日消息,巨人旗舰游戏&lt;征途&gt;将于16日开启6周年庆典,为此特别打造的&quot;升级送现金计划&quot;也将启动.据可靠消息称,玩家通过该计划获得的现金可直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2311M.html" rel="bookmark" class="title">今年上半年国内游戏股一路高歌，备受追捧</a>
					<div>
						今年上半年国内游戏股一路高歌,备受追捧.昨日,总部位于广州的本地手机及网页游戏股云游(F orgam e)举行投资者推介会,计划于本周四在香港公开招股,最多集资约17亿港元.如无意外,该公司将于10月 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGr10kp.html" rel="bookmark" class="title">IOS之UIWebView的使用&lpar;基本知识&rpar;&lowbar;IOS</a>
					<div>
						刚接触IOS开发1年多,现在对于混合式移动端开发越来越流行,因为开发成本上.速度上都比传统的APP开发要好,混合式开发是传统模式与PC网页端相结合的模式.那么提到了 APP的混合模式开发,在Andro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNgyBp.html" rel="bookmark" class="title">10 个经典PHP函数&lowbar;php技巧</a>
					<div>
						1. sys_getloadavg() sys_getloadavt()可以获得系 统负载情况.该函数返回一个包含三个元素的数组,每个元素分别代表系统再过去的1.5和15分钟内的平均负载. 与其让服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKOmRz.html" rel="bookmark" class="title">如何写伪原创</a>
					<div>
						善用&quot;伪原创&quot;是一个网站生存的关键方面,&quot;伪原创&quot;得好不好很大程度上也决定了一个网站能不能成功.做网站是个辛苦不讨好的工作!一句话:不辛苦又怎得世间财. 下边我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QBymp.html" rel="bookmark" class="title">已知窗口句柄，如何获得窗口标题？</a>
					<div>
						问题描述 已知窗口句柄,如何获得窗口标题?用C#怎么实现 解决方案 解决方案二:[DllImport(&quot;user32.dll&quot;,CharSet=CharSet.Auto)]inte ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Z5P3b.html" rel="bookmark" class="title">如何报名参与java的开源项目</a>
					<div>
						问题描述 各位,小弟刚毕业半年,一直比较喜欢编程,学习java已经2年,也算是入门了吧(自己感觉),没有参与过实际的企业项目.看了一两个小的java开源代码,感觉写的很不错,想通过参加开源的java项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdReZb.html" rel="bookmark" class="title">推荐的套路</a>
					<div>
						做推荐是有套路的.本文根据在国际短视频业务的经验,总结一些个人的思考.本文不涉及具体算法. 1. 推荐的本质是什么? 是内容和数据. 内容就是你要提供给用户的东西,例如你的视频库,UGC.PGC什么的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRmrDz.html" rel="bookmark" class="title">文化部：上半年网吧、网络侵权是执法重点</a>
					<div>
						本报北京8月24日讯 记者李舫报道:文化部今天通报了上半年全国文化市场重大案件的有关情况.结果显示,音像制品盗版.网吧违规接纳未成年人.书报刊含有禁止内容或违规出版依然是各地执法工作的重点,网络侵权. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
